#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	Crypt
%define		pnam	OpenSSL-Guess
Summary:	Crypt::OpenSSL::Guess - Guess OpenSSL include path
Summary(pl.UTF-8):	Crypt::OpenSSL::Guess - zgadywanie ścieżki nagłówków OpenSSL
Name:		perl-Crypt-OpenSSL-Guess
Version:	0.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e07f470dd25023730cf8536e0cefbabd
URL:		https://metacpan.org/dist/Crypt-OpenSSL-Guess
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.64
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.98
%endif
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::Guess provides helpers to guess OpenSSL include path
on any platforms.

%description -l pl.UTF-8
Crypt::OpenSSL::Guess udostępnia funkcje pomocnicze do zgadywania
ścieżki nagłówków na dowolnej platformie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Crypt/OpenSSL/Guess.pm
%{_mandir}/man3/Crypt::OpenSSL::Guess.3pm*
%changelog
* Sun Nov 06 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-Guess.git;a=log;h=master

* Sun Nov 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 06ab567
- updated to 0.15

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> a4b2b31
- noarch, release 2

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 50f14aa
- updated to 0.13, pl

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 89e9993
- drop obsolete and outdated manual inclusion of rpm macros

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 00a7d14
- drop BR for openssl-devel, copy/paste leftover from source spec

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> e0d9af9
- new

